Encryption Protectors - Create Or Update
Mevcut bir şifreleme koruyucusu güncelleştirir.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/encryptionProtector/current?api-version=2025-01-01
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
encryption
|
path | True |
Alınacak şifreleme koruyucusunun adı. |
|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır. |
|
server
|
path | True |
string |
Sunucunun adı. |
|
subscription
|
path | True |
string (uuid) |
Hedef aboneliğin kimliği. Değer bir UUID olmalıdır. |
|
api-version
|
query | True |
string minLength: 1 |
Bu işlem için kullanılacak API sürümü. |
İstek Gövdesi
| Name | Gerekli | Tür | Description |
|---|---|---|---|
| properties.serverKeyType | True |
'ServiceManaged', 'AzureKeyVault' gibi şifreleme koruyucusu türü. |
|
| properties.autoRotationEnabled |
boolean |
Anahtar otomatik döndürme kabul etme bayrağı. True veya false. |
|
| properties.serverKeyName |
string |
Sunucu anahtarının adı. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
Kaynak 'EncryptionProtector' güncelleme işlemi başarılı oldu |
|
| 202 Accepted |
Kaynak işlemi kabul edildi. Üst Bilgiler
|
|
| Other Status Codes |
Beklenmeyen bir hata yanıtı. |
Güvenlik
azure_auth
Azure Active Directory OAuth2 Flow.
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name | Description |
|---|---|
| user_impersonation | kullanıcı hesabınızın kimliğine bürünme |
Örnekler
| Update the encryption protector to key vault |
| Update the encryption protector to key vault with versionless key |
| Update the encryption protector to service managed |
Update the encryption protector to key vault
Örnek isteği
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current?api-version=2025-01-01
{
"properties": {
"autoRotationEnabled": false,
"serverKeyName": "someVault_someKey_01234567890123456789012345678901",
"serverKeyType": "AzureKeyVault"
}
}
Örnek yanıt
{
"name": "current",
"type": "Microsoft.Sql/servers/encryptionProtector",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current",
"kind": "azurekeyvault",
"location": "West US",
"properties": {
"autoRotationEnabled": false,
"serverKeyName": "someVault_someKey_01234567890123456789012345678901",
"serverKeyType": "AzureKeyVault"
}
}
Update the encryption protector to key vault with versionless key
Örnek isteği
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current?api-version=2025-01-01
{
"properties": {
"autoRotationEnabled": false,
"serverKeyName": "someVault_someKey",
"serverKeyType": "AzureKeyVault"
}
}
Örnek yanıt
{
"name": "current",
"type": "Microsoft.Sql/servers/encryptionProtector",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current",
"kind": "azurekeyvault",
"location": "West US",
"properties": {
"autoRotationEnabled": false,
"keyVersion": "01234567890123456789012345678901",
"serverKeyName": "someVault_someKey",
"serverKeyType": "AzureKeyVault"
}
}
Update the encryption protector to service managed
Örnek isteği
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current?api-version=2025-01-01
{
"properties": {
"serverKeyName": "ServiceManaged",
"serverKeyType": "ServiceManaged"
}
}
Örnek yanıt
{
"name": "current",
"type": "Microsoft.Sql/servers/encryptionProtector",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current",
"kind": "servicemanaged",
"location": "West US",
"properties": {
"serverKeyName": "ServiceManaged",
"serverKeyType": "ServiceManaged"
}
}
Tanımlar
| Name | Description |
|---|---|
|
created |
Kaynağı oluşturan kimliğin türü. |
|
Encryption |
Sunucu şifreleme koruyucusu. |
|
Encryption |
|
|
Error |
Kaynak yönetimi hatası ek bilgileri. |
|
Error |
Hata ayrıntısı. |
|
Error |
Hata yanıtı |
|
Server |
'ServiceManaged', 'AzureKeyVault' gibi şifreleme koruyucusu türü. |
|
system |
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler. |
createdByType
Kaynağı oluşturan kimliğin türü.
| Değer | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
EncryptionProtector
Sunucu şifreleme koruyucusu.
| Name | Tür | Description |
|---|---|---|
| id |
string (arm-id) |
Kaynağın tam kaynak kimliği. Örneğin "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| kind |
string |
Bir tür şifreleme koruyucusu. Bu, Azure portal deneyimi için kullanılan meta veridir. |
| location |
string |
Kaynak konumu. |
| name |
string |
Kaynağın adı |
| properties.autoRotationEnabled |
boolean |
Anahtar otomatik döndürme kabul etme bayrağı. True veya false. |
| properties.keyVersion |
string |
Şifreleme koruyucusu olarak kullanılan sunucu anahtarının sürümü |
| properties.serverKeyName |
string |
Sunucu anahtarının adı. |
| properties.serverKeyType |
'ServiceManaged', 'AzureKeyVault' gibi şifreleme koruyucusu türü. |
|
| properties.subregion |
string |
Şifreleme koruyucusunun alt kaydı. |
| properties.thumbprint |
string |
Sunucu anahtarının parmak izi. |
| properties.uri |
string |
Sunucu anahtarının URI'sini. |
| systemData |
Azure Resource Manager metadata içeren createdBy ve modifiedBy bilgileri. |
|
| type |
string |
Kaynağın türü. Örneğin "Microsoft. Compute/virtualMachines" veya "Microsoft. Depo/Depolama Hesapları" |
EncryptionProtectorName
| Değer | Description |
|---|---|
| current |
güncel |
ErrorAdditionalInfo
Kaynak yönetimi hatası ek bilgileri.
| Name | Tür | Description |
|---|---|---|
| info |
object |
Ek bilgiler. |
| type |
string |
Ek bilgi türü. |
ErrorDetail
Hata ayrıntısı.
| Name | Tür | Description |
|---|---|---|
| additionalInfo |
Hata ek bilgileri. |
|
| code |
string |
Hata kodu. |
| details |
Hata ayrıntıları. |
|
| message |
string |
Hata iletisi. |
| target |
string |
Hata hedefi |
ErrorResponse
Hata yanıtı
| Name | Tür | Description |
|---|---|---|
| error |
Hata nesnesi. |
ServerKeyType
'ServiceManaged', 'AzureKeyVault' gibi şifreleme koruyucusu türü.
| Değer | Description |
|---|---|
| ServiceManaged |
ServiceManaged |
| AzureKeyVault |
AzureKeyVault |
systemData
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.
| Name | Tür | Description |
|---|---|---|
| createdAt |
string (date-time) |
Kaynak oluşturma (UTC) zaman damgası. |
| createdBy |
string |
Kaynağı oluşturan kimlik. |
| createdByType |
Kaynağı oluşturan kimliğin türü. |
|
| lastModifiedAt |
string (date-time) |
Kaynağın son değişikliğinin zaman damgası (UTC) |
| lastModifiedBy |
string |
Kaynağı en son değiştiren kimlik. |
| lastModifiedByType |
Kaynağı en son değiştiren kimlik türü. |